Subject: No woman can make a better wife than a Russian lady √ pick one here.

From: [email-masked]
Date: Tue, 12 Jan 2010 14:58:08 +0200

You have new mail from Olga 25 y.o. Russia, dating Why don't you click